<?php



class RegionalesMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.RegionalesMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('REGIONALES');
		$tMap->setPhpName('Regionales');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('CODREG', 'Codreg', 'string', CreoleTypes::VARCHAR, true, 20);

		$tMap->addColumn('DESREG', 'Desreg', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('CIUCED', 'Ciuced', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('DEPARTA', 'Departa', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('DIRECCION', 'Direccion', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('CODDEP', 'Coddep', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('CODMUN', 'Codmun', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('NITCAJA', 'Nitcaja', 'string', CreoleTypes::VARCHAR, false, 50);

		$tMap->addColumn('CODCAJ', 'Codcaj', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('RAZSOC', 'Razsoc', 'string', CreoleTypes::VARCHAR, false, 100);

	} 
} 